GenerationManager (XDoclet 1.2.3 API)
Keywords: xdoclet.GenerationManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class GenerationManager

    java.lang.Object
      xdoclet.GenerationManager

public class GenerationManager
extends Object

Verify if the generation is needed for Java files and Xml files based templates.

Version:
  $Revision: 1.19 $
Author:
  Vincent Harcq (vincent.harcq@hubmethods.com)
created
  March 30, 2002

Constructor Summary
`GenerationManager(xjavadoc.XJavaDoc xJavaDoc, TemplateSubTask subTask)` Describe what the GenerationManager constructor does

Method Summary
`boolean` | `isGenerationNeeded(File file)` Verify if the generation of a file to generate is needed because either the Template used to generate the file have a later timestamp, or because ALL the Java sources imported in this task have a sooner timestamp.
`boolean` | `isGenerationNeeded(xjavadoc.XClass clazz, File file, boolean withTemplate)` Test if a Java source mmust be generated or not depending of timestamp of elements involved.
`boolean` | `isGuessGenerationNeeded()` Gets the GuessGenerationNeeded attribute of the GenerationManager object
`void` | `setGuessGenerationNeeded(boolean guessGenerationNeeded)` Sets the GuessGenerationNeeded attribute of the GenerationManager object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerationManager

    public GenerationManager(xjavadoc.XJavaDoc xJavaDoc,
                             TemplateSubTask subTask)

  Describe what the GenerationManager constructor does

Parameters:
  `subTask` - Describe what the parameter does
  `xJavaDoc` -

Method Detail

### isGuessGenerationNeeded

    public boolean isGuessGenerationNeeded()

  Gets the GuessGenerationNeeded attribute of the GenerationManager object

  Returns:
    The GuessGenerationNeeded value

### isGenerationNeeded

    public boolean isGenerationNeeded(xjavadoc.XClass clazz,
                                      File file,
                                      boolean withTemplate)
                               throws XDocletException

  Test if a Java source mmust be generated or not depending of timestamp of elements involved.

  Parameters:
    `clazz` - the Class from wich we generate
    `file` - the File that will be generated
    `withTemplate` -
  Returns:
    true if generation is needed
  Throws:
    `XDocletException`

### isGenerationNeeded

    public boolean isGenerationNeeded(File file)
                               throws XDocletException

  Verify if the generation of a file to generate is needed because either the Template used to generate the file have a later timestamp, or because ALL the Java sources imported in this task have a sooner timestamp. This is used to test if xml files generation is needed.

  Parameters:
    `file` - The file to check
  Returns:
    true if the generation is needed
  Throws:
    `XDocletException`

### setGuessGenerationNeeded

    public void setGuessGenerationNeeded(boolean guessGenerationNeeded)

  Sets the GuessGenerationNeeded attribute of the GenerationManager object.

  Parameters:
    `guessGenerationNeeded` - The new GuessGenerationNeeded value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD